> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truestate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Credit Checkout Session



## OpenAPI

````yaml https://api.truestate.io/openapi.json post /credits/checkout/
openapi: 3.1.0
info:
  title: TrueState Backend API
  summary: >-
    TrueState is an AI platform for business users to create high-impact AI
    solutions.
  description: >

    This **[TrueState](https://www.truestate.io/)** backend API allows our
    clients to automate and more powerfully retrieve and modify data from the
    TrueState platform.


    Example use cases include:


    - Accessing embeddings for a dataset.

    - Automating the process of dataset creation and model retraining as your
    data changes.

    - Much more.


    Our backend is built using the [FastAPI](https://fastapi.tiangolo.com/)
    framework in python

    using [Auth0](https://auth0.com/) and [Client API
    Keys](https://www.truestate.io/dawn/docs) for internal an external
    authentication, respectively.

    Our backend is designed to be secure, scalable, easy to use and well
    documented _(each router with its own linked docs page)_.

    Clients can only access data from their own organisation, as setup in Auth0
    our the Client API Keys. See how
    **[here](https://www.truestate.io/dawn/docs)**.


    **PS**: You can view this API documentation in either
    **[Swagger](swagger/docs)** or **[Redoc](redoc/)**, but only the swagger
    lets you test calls.
  contact:
    name: True State Support
    url: https://www.truestate.io/dawn/docs
    email: support@truestate.io
  license:
    name: Private
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 0.13.95
servers: []
security: []
paths:
  /credits/checkout/:
    post:
      tags:
        - credit-usage
      summary: Create Credit Checkout Session
      operationId: create_credit_checkout_session_credits_checkout__post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreditCheckoutRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CheckoutSessionResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CreditCheckoutRequest:
      properties:
        credits:
          type: integer
          exclusiveMinimum: 0
          title: Credits
        credit_type:
          $ref: '#/components/schemas/CreditType'
          default: INFRASTRUCTURE
        save_payment_method:
          type: boolean
          title: Save Payment Method
          default: false
      type: object
      required:
        - credits
      title: CreditCheckoutRequest
    CheckoutSessionResponse:
      properties:
        checkout_session_id:
          type: string
          title: Checkout Session Id
        url:
          type: string
          title: Url
      type: object
      required:
        - checkout_session_id
        - url
      title: CheckoutSessionResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CreditType:
      type: string
      enum:
        - INFRASTRUCTURE
        - AI
        - FLEX
      title: CreditType
      description: >-
        The wallet a credit grant belongs to.


        ``FLEX`` is only for grants that pre-date split wallets. It is
        deliberately

        retained as a migration path so customers can spend the balance they

        already purchased; new grants must use either ``INFRASTRUCTURE`` or
        ``AI``.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````